/*
 * mod_antihak - Anti-HTTP-based-Worm Apache module
 * Copyright (C) 2001, Informetech
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the license, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Contact:
 *  * tom@informetech.com for issues regarding mod_antihak
 *  * matt@informetech.com for issues regarding Informetech.
 *
 */

#include <config.h>
#include <stdio.h>
#include <stdlib.h>
#include "antihak_stats.h"

#ifdef USE_MYSQL_STATS
#include <mysql.h>

char* reset_antihak_db( void )
{
  MYSQL *server;
  register char* result = (char*)0;

  server = mysql_init( NULL );

  if( server == NULL )
  {
    return "mysql_init";
  }

  if( !mysql_connect( server, "localhost", STATS_USER, STATS_PASSWD ) )
  {
    result = "mysql_connect";
    goto end_app;
  }

  mysql_select_db( server, "antihak_stats" );
  mysql_query( server, "UPDATE antihak SET attempts=0 where attempts>0" );

end_app:
  mysql_close( server );
  server = NULL;
  return result;
}

#endif

int main( void )
{
  register char *why;

#ifdef USE_MYSQL_STATS
  
  printf( "Resetting antihak_stats database ... " );
  if( ( why = reset_antihak_db() ) != (char*)0 )
  {
    printf( "FAILED [%s] \n", why );
  }
  else
  {
    printf( "OK\n" );
  }
#else
  printf( "USE_MYSQL_STATS not defined in compile\n" );
#endif

  return 0;
}

